
Infrastructure - Bug #7286

MN.listObjects() with a sid filter should return all pids under given sid

2015-08-04 19:20 - Andrei Buium

Status: Closed Start date: 2015-08-04

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

Currently calling MN.listObjects(... , sid, ...) yields a single result (the head pid I believe).

The documentation says it should return a list of objects whose pids all fall under the given sid.

History

#1 - 2015-08-04 19:21 - Andrei Buium

http://jenkins-1.dataone.org/jenkins/job/API%20Documentation%20-%20trunk/ws/api-documentation/build/html/apis/MN_APIs.html#MNRead.listObjec

ts

#2 - 2015-08-06 19:56 - Ben Leinfelder

- Status changed from New to In Progress

- Assignee changed from Jing Tao to Ben Leinfelder

- % Done changed from 0 to 30

- Milestone changed from None to CCI-2.0

#3 - 2015-08-06 20:15 - Ben Leinfelder

On mn-demo-6, I get results consistent with expected behavior. There are three objects in this series, and all three are returned:

https://mn-demo-6.test.dataone.org/knb/d1/mn/v2/object?identifier=sid.1436994458933665000

Can you provide an example where this behavior is not shown? Perhaps there are other parameters included when you make the call and that

accounts for the difference?

#4 - 2015-08-06 21:13 - Andrei Buium

- % Done changed from 30 to 100

- Status changed from In Progress to Closed

The problem turned out to be on the test side. I committed the fix and the tests pass now.
